Subject: bug#26815: [PATCH 2/3] vm: Support creating FAT partitions.

From: Danny Milosavljevic <[email-masked]>
Date: Sun, 7 May 2017 19:06:37 +0200

Hi Marius,

On Sun, 07 May 2017 17:52:43 +0200
Marius Bakke <[email-masked]> wrote:

> I had that first, but the error handling was exactly identical, so opted
> to just handle it in the caller. It does sound safer to handle errors
> there instead of passing system* around though, will do that in lieu of
> other comments. 

Yeah, I did that in the past, too (and for many things still do).  But this procedure is critical enough that ignoring the return value would do some very strange things - and for those I lately do defensive programming.

> > "format-procedure" is not actually the procedure, right? It's already the formatting-status ...  
> 
> Oops, an artifact of rebasing a lot of revisions...

Your v2 patch still calls it that :)

> > This adds nls_iso8859-1 unconditionally. OK.  
> 
> It's required by "dosfstools" which is also added unconditionally.
> Not sure how to improve it.

Oh, it's fine.  It's just for other reviewers and future-me so that I don't have to think about why this is done again...